Bug 1417282 - [3.3] ipfailover keepalived split brain
Summary: [3.3] ipfailover keepalived split brain
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.3.1
Assignee: Phil Cameron
QA Contact: Meng Bo
URL:
Whiteboard:
Depends On: 1402536
Blocks: 1417276
TreeView+ depends on / blocked
 
Reported: 2017-01-27 19:15 UTC by Phil Cameron
Modified: 2017-02-22 18:11 UTC (History)
13 users (show)

Fixed In Version: OSE 3.3 PR 571
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1402536
Environment:
Last Closed: 2017-02-22 18:11:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Origin (Github) 12399 0 None None None 2017-01-27 19:15:30 UTC
Red Hat Product Errata RHBA-2017:0289 0 normal SHIPPED_LIVE OpenShift Container Platform 3.4.1.7, 3.3.1.14, and 3.2.1.26 bug fix update 2017-02-22 23:10:04 UTC

Comment 1 Phil Cameron 2017-01-27 19:17:23 UTC
ported OES 3.2 code to OSE 3.4 PR 573

Comment 2 Troy Dawson 2017-02-01 14:27:11 UTC
Full URL's to pull requests are much more helpful than just a number.  Since this bug is for 3.3, that pull request is here.
https://github.com/openshift/ose/pull/571

It has been merged and is in v3.3.1.12 or newer.
It is now ready to be tested.

Comment 4 Meng Bo 2017-02-03 09:59:44 UTC
As the comment https://bugzilla.redhat.com/show_bug.cgi?id=1402536#c35 said, the fix was not included in the latest ocp 3.3.1.12 build.

Move the bug back.

Comment 5 Ben Bennett 2017-02-03 19:51:38 UTC
Troy: Is this now in OCP?  Should this be in modified state?

Comment 6 Troy Dawson 2017-02-03 20:48:49 UTC
After looking at the pull request again, I see that it did *not* make it into the images.  My apologies.
I am moving this back to MODIFIED, and I will make sure it makes it into the next image builds, which are scheduled for Tues, Feb. 6.

Comment 7 Troy Dawson 2017-02-08 22:42:54 UTC
This has been merged into ocp and is in OCP v3.3.1.13 or newer.  I have double checked it this time.

Comment 8 zhaozhanqi 2017-02-09 07:45:03 UTC
Due to the router still have the issue https://bugzilla.redhat.com/show_bug.cgi?id=1408129#c10  in OCP v3.3.1.13

So QE will verified this bug once above router issue is fixed. thanks.

Comment 9 zhaozhanqi 2017-02-13 09:55:01 UTC
Verified this bug on OCP v3.3.3.1.13 with ipfailover image id(ba970a85afb9)

steps:

1) set up multi-node env with 2 nodes 
2) make the router is running on each node
3) create ipfailover service with --replicas=1
4) scale up the ipfailover pod
5) Check those two ipfailover pod are working well and the new create ipfailover pod in another node will enter the 'MASTER' status ,the old one will be enter the 'BACKUP' status.

Comment 11 errata-xmlrpc 2017-02-22 18:11:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:0289


Note You need to log in before you can comment on or make changes to this bug.